# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit go-module bash-completion-r1

EGO_SUM=(
	"cel.dev/expr v0.19.2"
	"cel.dev/expr v0.19.2/go.mod"
	"cloud.google.com/go v0.118.3"
	"cloud.google.com/go v0.118.3/go.mod"
	"cloud.google.com/go/auth v0.15.0"
	"cloud.google.com/go/auth v0.15.0/go.mod"
	"cloud.google.com/go/auth/oauth2adapt v0.2.7"
	"cloud.google.com/go/auth/oauth2adapt v0.2.7/go.mod"
	"cloud.google.com/go/compute/metadata v0.6.0"
	"cloud.google.com/go/compute/metadata v0.6.0/go.mod"
	"cloud.google.com/go/iam v1.4.1"
	"cloud.google.com/go/iam v1.4.1/go.mod"
	"cloud.google.com/go/logging v1.13.0"
	"cloud.google.com/go/logging v1.13.0/go.mod"
	"cloud.google.com/go/longrunning v0.6.5"
	"cloud.google.com/go/longrunning v0.6.5/go.mod"
	"cloud.google.com/go/monitoring v1.24.0"
	"cloud.google.com/go/monitoring v1.24.0/go.mod"
	"cloud.google.com/go/storage v1.51.0"
	"cloud.google.com/go/storage v1.51.0/go.mod"
	"cloud.google.com/go/trace v1.11.3"
	"cloud.google.com/go/trace v1.11.3/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.17.1"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.17.1/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.2"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.2/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity/cache v0.3.2"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity/cache v0.3.2/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/resourcemanager/storage/armstorage v1.6.0"
	"github.com/!azure/azure-sdk-for-go/sdk/resourcemanager/storage/armstorage v1.6.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/storage/azblob v1.6.0"
	"github.com/!azure/azure-sdk-for-go/sdk/storage/azblob v1.6.0/go.mod"
	"github.com/!azure!a!d/microsoft-authentication-extensions-for-go/cache v0.1.1"
	"github.com/!azure!a!d/microsoft-authentication-extensions-for-go/cache v0.1.1/go.mod"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.3"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.3/go.mod"
	"github.com/!backblaze/blazer v0.7.2"
	"github.com/!backblaze/blazer v0.7.2/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/detectors/gcp v1.25.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/detectors/gcp v1.25.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/exporter/metric v0.51.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/exporter/metric v0.51.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/cloudmock v0.51.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/cloudmock v0.51.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/resourcemapping v0.51.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/resourcemapping v0.51.0/go.mod"
	"github.com/!julusian/godocdown v0.0.0-20170816220326-6d19f8ff2df8/go.mod"
	"github.com/!microsoft/go-winio v0.6.2"
	"github.com/!microsoft/go-winio v0.6.2/go.mod"
	"github.com/anacrolix/envpprof v1.3.0"
	"github.com/anacrolix/envpprof v1.3.0/go.mod"
	"github.com/anacrolix/fuse v0.3.1"
	"github.com/anacrolix/fuse v0.3.1/go.mod"
	"github.com/anacrolix/generics v0.0.0-20230113004304-d6428d516633"
	"github.com/anacrolix/generics v0.0.0-20230113004304-d6428d516633/go.mod"
	"github.com/anacrolix/log v0.13.1/go.mod"
	"github.com/anacrolix/log v0.14.1"
	"github.com/anacrolix/log v0.14.1/go.mod"
	"github.com/cenkalti/backoff/v4 v4.3.0"
	"github.com/cenkalti/backoff/v4 v4.3.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.3.0"
	"github.com/cespare/xxhash/v2 v2.3.0/go.mod"
	"github.com/chzyer/logex v1.1.10/go.mod"
	"github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e/go.mod"
	"github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1/go.mod"
	"github.com/cncf/xds/go v0.0.0-20250121191232-2f005788dc42"
	"github.com/cncf/xds/go v0.0.0-20250121191232-2f005788dc42/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.6"
	"github.com/cpuguy83/go-md2man/v2 v2.0.6/go.mod"
	"github.com/creack/pty v1.1.9/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f"
	"github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f/go.mod"
	"github.com/dustin/go-humanize v1.0.1"
	"github.com/dustin/go-humanize v1.0.1/go.mod"
	"github.com/dvyukov/go-fuzz v0.0.0-20220726122315-1d375ef9f9f6/go.mod"
	"github.com/elazarl/go-bindata-assetfs v1.0.0/go.mod"
	"github.com/elithrar/simple-scrypt v1.3.0"
	"github.com/elithrar/simple-scrypt v1.3.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.13.4"
	"github.com/envoyproxy/go-control-plane v0.13.4/go.mod"
	"github.com/envoyproxy/go-control-plane/envoy v1.32.4"
	"github.com/envoyproxy/go-control-plane/envoy v1.32.4/go.mod"
	"github.com/envoyproxy/go-control-plane/ratelimit v0.1.0"
	"github.com/envoyproxy/go-control-plane/ratelimit v0.1.0/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v1.2.1"
	"github.com/envoyproxy/protoc-gen-validate v1.2.1/go.mod"
	"github.com/felixge/fgprof v0.9.3"
	"github.com/felixge/fgprof v0.9.3/go.mod"
	"github.com/felixge/httpsnoop v1.0.4"
	"github.com/felixge/httpsnoop v1.0.4/go.mod"
	"github.com/frankban/quicktest v1.14.4/go.mod"
	"github.com/go-ini/ini v1.67.0"
	"github.com/go-ini/ini v1.67.0/go.mod"
	"github.com/go-logr/logr v1.2.2/go.mod"
	"github.com/go-logr/logr v1.4.2"
	"github.com/go-logr/logr v1.4.2/go.mod"
	"github.com/go-logr/stdr v1.2.2"
	"github.com/go-logr/stdr v1.2.2/go.mod"
	"github.com/go-ole/go-ole v1.3.0"
	"github.com/go-ole/go-ole v1.3.0/go.mod"
	"github.com/goccy/go-json v0.10.5"
	"github.com/goccy/go-json v0.10.5/go.mod"
	"github.com/golang-jwt/jwt/v5 v5.2.2"
	"github.com/golang-jwt/jwt/v5 v5.2.2/go.mod"
	"github.com/golang/protobuf v1.5.4"
	"github.com/golang/protobuf v1.5.4/go.mod"
	"github.com/google/go-cmp v0.5.9/go.mod"
	"github.com/google/go-cmp v0.6.0/go.mod"
	"github.com/google/go-cmp v0.7.0"
	"github.com/google/go-cmp v0.7.0/go.mod"
	"github.com/google/martian/v3 v3.3.3"
	"github.com/google/martian/v3 v3.3.3/go.mod"
	"github.com/google/pprof v0.0.0-20211214055906-6f57359322fd/go.mod"
	"github.com/google/pprof v0.0.0-20230926050212-f7f687d19a98"
	"github.com/google/pprof v0.0.0-20230926050212-f7f687d19a98/go.mod"
	"github.com/google/s2a-go v0.1.9"
	"github.com/google/s2a-go v0.1.9/go.mod"
	"github.com/google/uuid v1.6.0"
	"github.com/google/uuid v1.6.0/go.mod"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.6"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.6/go.mod"
	"github.com/googleapis/gax-go/v2 v2.14.1"
	"github.com/googleapis/gax-go/v2 v2.14.1/go.mod"
	"github.com/hashicorp/golang-lru/v2 v2.0.7"
	"github.com/hashicorp/golang-lru/v2 v2.0.7/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20210905161508-09a460cdf81d/go.mod"
	"github.com/inconshreveable/mousetrap v1.1.0"
	"github.com/inconshreveable/mousetrap v1.1.0/go.mod"
	"github.com/keybase/go-keychain v0.0.0-20231219164618-57a3676c3af6"
	"github.com/keybase/go-keychain v0.0.0-20231219164618-57a3676c3af6/go.mod"
	"github.com/klauspost/compress v1.18.0"
	"github.com/klauspost/compress v1.18.0/go.mod"
	"github.com/klauspost/cpuid/v2 v2.0.1/go.mod"
	"github.com/klauspost/cpuid/v2 v2.2.9"
	"github.com/klauspost/cpuid/v2 v2.2.9/go.mod"
	"github.com/kr/fs v0.1.0"
	"github.com/kr/fs v0.1.0/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.3.0/go.mod"
	"github.com/kr/pretty v0.3.1"
	"github.com/kr/pretty v0.3.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/miekg/dns v1.1.54/go.mod"
	"github.com/minio/crc64nvme v1.0.1"
	"github.com/minio/crc64nvme v1.0.1/go.mod"
	"github.com/minio/md5-simd v1.1.2"
	"github.com/minio/md5-simd v1.1.2/go.mod"
	"github.com/minio/minio-go/v7 v7.0.88"
	"github.com/minio/minio-go/v7 v7.0.88/go.mod"
	"github.com/ncw/swift/v2 v2.0.3"
	"github.com/ncw/swift/v2 v2.0.3/go.mod"
	"github.com/oklog/run v1.1.0/go.mod"
	"github.com/pelletier/go-toml v1.9.5/go.mod"
	"github.com/peterbourgon/ff/v3 v3.3.1/go.mod"
	"github.com/peterbourgon/unixtransport v0.0.4"
	"github.com/peterbourgon/unixtransport v0.0.4/go.mod"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c/go.mod"
	"github.com/pkg/diff v0.0.0-20210226163009-20ebb0f2a09e/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/profile v1.7.0"
	"github.com/pkg/profile v1.7.0/go.mod"
	"github.com/pkg/sftp v1.13.8"
	"github.com/pkg/sftp v1.13.8/go.mod"
	"github.com/pkg/xattr v0.4.10"
	"github.com/pkg/xattr v0.4.10/go.mod"
	"github.com/planetscale/vtprotobuf v0.6.1-0.20240319094008-0393e58bdf10"
	"github.com/planetscale/vtprotobuf v0.6.1-0.20240319094008-0393e58bdf10/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/prashantv/gostub v1.1.0"
	"github.com/prashantv/gostub v1.1.0/go.mod"
	"github.com/redis/go-redis/v9 v9.7.0"
	"github.com/redis/go-redis/v9 v9.7.0/go.mod"
	"github.com/restic/chunker v0.4.0"
	"github.com/restic/chunker v0.4.0/go.mod"
	"github.com/robertkrimen/godocdown v0.0.0-20130622164427-0bfa04905481/go.mod"
	"github.com/rogpeppe/go-internal v1.6.1/go.mod"
	"github.com/rogpeppe/go-internal v1.8.0/go.mod"
	"github.com/rogpeppe/go-internal v1.9.0/go.mod"
	"github.com/rogpeppe/go-internal v1.13.1"
	"github.com/rogpeppe/go-internal v1.13.1/go.mod"
	"github.com/rs/xid v1.6.0"
	"github.com/rs/xid v1.6.0/go.mod"
	"github.com/russross/blackfriday/v2 v2.1.0"
	"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
	"github.com/spf13/cobra v1.9.1"
	"github.com/spf13/cobra v1.9.1/go.mod"
	"github.com/spf13/pflag v1.0.6"
	"github.com/spf13/pflag v1.0.6/go.mod"
	"github.com/stephens2424/writerset v1.0.2/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.4.0/go.mod"
	"github.com/stretchr/objx v0.5.0/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/stretchr/testify v1.7.1/go.mod"
	"github.com/stretchr/testify v1.8.0/go.mod"
	"github.com/stretchr/testify v1.8.1/go.mod"
	"github.com/stretchr/testify v1.10.0"
	"github.com/stretchr/testify v1.10.0/go.mod"
	"github.com/tv42/httpunix v0.0.0-20191220191345-2ba4b9c3382c"
	"github.com/tv42/httpunix v0.0.0-20191220191345-2ba4b9c3382c/go.mod"
	"github.com/yuin/goldmark v1.4.1/go.mod"
	"github.com/yuin/goldmark v1.4.13/go.mod"
	"go.opentelemetry.io/auto/sdk v1.1.0"
	"go.opentelemetry.io/auto/sdk v1.1.0/go.mod"
	"go.opentelemetry.io/contrib/detectors/gcp v1.34.0"
	"go.opentelemetry.io/contrib/detectors/gcp v1.34.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.59.0"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.59.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.59.0"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.59.0/go.mod"
	"go.opentelemetry.io/otel v1.34.0"
	"go.opentelemetry.io/otel v1.34.0/go.mod"
	"go.opentelemetry.io/otel/exporters/stdout/stdoutmetric v1.29.0"
	"go.opentelemetry.io/otel/exporters/stdout/stdoutmetric v1.29.0/go.mod"
	"go.opentelemetry.io/otel/metric v1.34.0"
	"go.opentelemetry.io/otel/metric v1.34.0/go.mod"
	"go.opentelemetry.io/otel/sdk v1.34.0"
	"go.opentelemetry.io/otel/sdk v1.34.0/go.mod"
	"go.opentelemetry.io/otel/sdk/metric v1.34.0"
	"go.opentelemetry.io/otel/sdk/metric v1.34.0/go.mod"
	"go.opentelemetry.io/otel/trace v1.34.0"
	"go.opentelemetry.io/otel/trace v1.34.0/go.mod"
	"go.uber.org/automaxprocs v1.6.0"
	"go.uber.org/automaxprocs v1.6.0/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
	"golang.org/x/crypto v0.13.0/go.mod"
	"golang.org/x/crypto v0.19.0/go.mod"
	"golang.org/x/crypto v0.23.0/go.mod"
	"golang.org/x/crypto v0.31.0/go.mod"
	"golang.org/x/crypto v0.36.0"
	"golang.org/x/crypto v0.36.0/go.mod"
	"golang.org/x/exp v0.0.0-20220428152302-39d4317da171"
	"golang.org/x/exp v0.0.0-20220428152302-39d4317da171/go.mod"
	"golang.org/x/mod v0.5.1/go.mod"
	"golang.org/x/mod v0.6.0-dev.0.20211013180041-c96bc1413d57/go.mod"
	"golang.org/x/mod v0.6.0-dev.0.20220419223038-86c51ed26bb4/go.mod"
	"golang.org/x/mod v0.7.0/go.mod"
	"golang.org/x/mod v0.8.0/go.mod"
	"golang.org/x/mod v0.12.0/go.mod"
	"golang.org/x/mod v0.15.0/go.mod"
	"golang.org/x/mod v0.17.0/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20211015210444-4f30a5c0130f/go.mod"
	"golang.org/x/net v0.0.0-20220722155237-a158d28d115b/go.mod"
	"golang.org/x/net v0.2.0/go.mod"
	"golang.org/x/net v0.6.0/go.mod"
	"golang.org/x/net v0.10.0/go.mod"
	"golang.org/x/net v0.15.0/go.mod"
	"golang.org/x/net v0.21.0/go.mod"
	"golang.org/x/net v0.25.0/go.mod"
	"golang.org/x/net v0.37.0"
	"golang.org/x/net v0.37.0/go.mod"
	"golang.org/x/oauth2 v0.28.0"
	"golang.org/x/oauth2 v0.28.0/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20210220032951-036812b2e83c/go.mod"
	"golang.org/x/sync v0.0.0-20220722155255-886fb9371eb4/go.mod"
	"golang.org/x/sync v0.1.0/go.mod"
	"golang.org/x/sync v0.3.0/go.mod"
	"golang.org/x/sync v0.6.0/go.mod"
	"golang.org/x/sync v0.7.0/go.mod"
	"golang.org/x/sync v0.10.0/go.mod"
	"golang.org/x/sync v0.12.0"
	"golang.org/x/sync v0.12.0/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20211007075335-d3039528d8ac/go.mod"
	"golang.org/x/sys v0.0.0-20211019181941-9d821ace8654/go.mod"
	"golang.org/x/sys v0.0.0-20220408201424-a24fb2fb8a0f/go.mod"
	"golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a/go.mod"
	"golang.org/x/sys v0.0.0-20220722155257-8c9f86f7a55f/go.mod"
	"golang.org/x/sys v0.1.0/go.mod"
	"golang.org/x/sys v0.2.0/go.mod"
	"golang.org/x/sys v0.5.0/go.mod"
	"golang.org/x/sys v0.8.0/go.mod"
	"golang.org/x/sys v0.10.0/go.mod"
	"golang.org/x/sys v0.12.0/go.mod"
	"golang.org/x/sys v0.17.0/go.mod"
	"golang.org/x/sys v0.20.0/go.mod"
	"golang.org/x/sys v0.28.0/go.mod"
	"golang.org/x/sys v0.31.0"
	"golang.org/x/sys v0.31.0/go.mod"
	"golang.org/x/telemetry v0.0.0-20240228155512-f48c80bd79b2/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211/go.mod"
	"golang.org/x/term v0.2.0/go.mod"
	"golang.org/x/term v0.5.0/go.mod"
	"golang.org/x/term v0.8.0/go.mod"
	"golang.org/x/term v0.12.0/go.mod"
	"golang.org/x/term v0.17.0/go.mod"
	"golang.org/x/term v0.20.0/go.mod"
	"golang.org/x/term v0.27.0/go.mod"
	"golang.org/x/term v0.30.0"
	"golang.org/x/term v0.30.0/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/text v0.3.7/go.mod"
	"golang.org/x/text v0.4.0/go.mod"
	"golang.org/x/text v0.7.0/go.mod"
	"golang.org/x/text v0.9.0/go.mod"
	"golang.org/x/text v0.13.0/go.mod"
	"golang.org/x/text v0.14.0/go.mod"
	"golang.org/x/text v0.15.0/go.mod"
	"golang.org/x/text v0.21.0/go.mod"
	"golang.org/x/text v0.23.0"
	"golang.org/x/text v0.23.0/go.mod"
	"golang.org/x/time v0.11.0"
	"golang.org/x/time v0.11.0/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.1.8-0.20211029000441-d6a9af8af023/go.mod"
	"golang.org/x/tools v0.1.12/go.mod"
	"golang.org/x/tools v0.3.0/go.mod"
	"golang.org/x/tools v0.6.0/go.mod"
	"golang.org/x/tools v0.13.0/go.mod"
	"golang.org/x/tools v0.21.1-0.20240508182429-e35e4ccd0d2d/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"google.golang.org/api v0.227.0"
	"google.golang.org/api v0.227.0/go.mod"
	"google.golang.org/genproto v0.0.0-20250303144028-a0af3efb3deb"
	"google.golang.org/genproto v0.0.0-20250303144028-a0af3efb3deb/go.mod"
	"google.golang.org/genproto/googleapis/api v0.0.0-20250303144028-a0af3efb3deb"
	"google.golang.org/genproto/googleapis/api v0.0.0-20250303144028-a0af3efb3deb/go.mod"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250313205543-e70fdf4c4cb4"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250313205543-e70fdf4c4cb4/go.mod"
	"google.golang.org/grpc v1.71.0"
	"google.golang.org/grpc v1.71.0/go.mod"
	"google.golang.org/protobuf v1.36.5"
	"google.golang.org/protobuf v1.36.5/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/errgo.v2 v2.1.0/go.mod"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.1"
	"gopkg.in/yaml.v3 v3.0.1/go.mod"
)

DESCRIPTION="A backup program that is fast, efficient and secure"
HOMEPAGE="https://restic.github.io/"
SRC_URI="https://github.com/restic/restic/tarball/7f723603e56655a6fc383dc20e5ee6655e7ed149 -> restic-0.18.0-7f72360.tar.gz
https://distfiles.macaronios.org/30/52/95/3052954414f928cd2bcb435c3896c613893bac85245ba0a31dce5fc3c8cc7f8eb258ff0545aed392c1b5ac144f644a6301b4dcb3ab46612d10c82c9525a028d5 -> restic-0.18.0-funtoo-go-bundle-66535f1858b5b4be60e82cd4e58192523e94238a3f66a7eb8ad7df2fd6fe9cb8de50ad0175eefbafb7659213442785a7844028adc116ee06f68a590133b54c79.tar.gz"

LICENSE="Apache-2.0 BSD BSD-2 LGPL-3-with-linking-exception MIT"
SLOT="0"
KEYWORDS="*"

RDEPEND="sys-fs/fuse:0"
DEPEND="${RDEPEND}"

post_src_unpack() {
	mv ${WORKDIR}/restic-* ${S}
}

src_compile() {
	go build -ldflags '-X main.version=0.18.0' \
		-asmflags "-trimpath=${S}" \
		-gcflags "-trimpath=${S}" \
		-o restic ./cmd/restic
}

src_install() {
	dobin restic

	newbashcomp doc/bash-completion.sh "${PN}"

	insinto /usr/share/zsh/site-functions
	newins doc/zsh-completion.zsh _restic

	insinto /usr/share/fish/vendor_completions.d/
	newins doc/fish-completion.fish "${PN}"

	doman doc/man/*
	dodoc doc/*.rst
}