# Distributed under the terms of the GNU General Public License v2

EAPI=7

QT_MINIMAL=5.15.1
inherit kde5

DESCRIPTION="QRCode and data matrix barcode library"
HOMEPAGE="https://invent.kde.org/frameworks/prison"

LICENSE="GPL-2"
KEYWORDS="*"
IUSE="qml"

RDEPEND="
	$(add_qt_dep qtgui)
	$(add_qt_dep qtmultimedia)
	media-gfx/qrencode:=
	media-libs/libdmtx
	media-libs/zxing-cpp
	qml? ( $(add_qt_dep qtdeclarative) )
"
DEPEND="${RDEPEND}
	test? ( $(add_qt_dep qtwidgets) )
"

src_configure() {
	local mycmakeargs=(
		$(cmake-utils_use_find_package qml Qt5Quick)
	)

	kde5_src_configure
	# Zxing using exceptions. So we need to drop
	# -fno-exceptions flag.
	sed -i -e 's|-fno-exceptions||g' ${WORKDIR}/${P}_build/build.ninja || die
}
