# Distributed under the terms of the GNU General Public License v2
# Autogen by MARK Devkit

EAPI=7
inherit qt5-build

DESCRIPTION="Multimedia (audio, video, radio, camera) library for the Qt5 framework"
SRC_URI="https://download.qt.io/archive/qt/5.15/5.15.16/submodules/qtmultimedia-everywhere-opensource-src-5.15.16.tar.xz -> qtmultimedia-everywhere-opensource-src-5.15.16.tar.xz"
SLOT="5"
KEYWORDS="*"
IUSE="alsa gles2-only gstreamer openal pulseaudio qml widgets"
RDEPEND="dev-qt/qtcore:5
	dev-qt/qtgui:5
	dev-qt/qtnetwork:5
	alsa? ( media-libs/alsa-lib )
	gstreamer? (
	  dev-libs/glib:2
	  media-libs/gstreamer:1.0
	  media-libs/gst-plugins-bad:1.0
	  media-libs/gst-plugins-base:1.0
	)
	pulseaudio? ( media-sound/pulseaudio[glib] )
	qml? (
	  dev-qt/qtdeclarative:5
	  gles2-only? ( dev-qt/qtgui:5[egl] )
	  openal? ( media-libs/openal )
	)
	widgets? (
	  dev-qt/qtwidgets:5[gles2-only=]
	  media-libs/libglvnd
	)
	
"
DEPEND="${RDEPEND}
	gstreamer? ( x11-base/xorg-proto )
	
"
src_prepare() {
	sed -i -e '/CONFIG\s*+=/ s/optimize_full//' \
	  src/multimedia/multimedia.pro || die
	qt_use_disable_config openal openal \
	  src/imports/imports.pro
	qt_use_disable_mod qml quick \
	  src/src.pro \
	  src/plugins/plugins.pro
	qt_use_disable_mod widgets widgets \
	  src/src.pro \
	  src/gsttools/gsttools.pro \
	  src/plugins/gstreamer/common.pri
	qt5-build_src_prepare
}
src_configure() {
	local myqmakeargs=(
	  --
	  $(qt_use alsa)
	  $(qt_use gstreamer)
	  $(qt_use pulseaudio)
	)
	qt5-build_src_configure
}


# vim: filetype=ebuild
